// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/WindTurbineRotor.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WindTurbine {

  /// <summary>Holder for reflection information generated from telemetry/WindTurbineRotor.proto</summary>
  public static partial class WindTurbineRotorReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/WindTurbineRotor.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WindTurbineRotorReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiB0ZWxlbWV0cnkvV2luZFR1cmJpbmVSb3Rvci5wcm90bxIMd2luZF90dXJi",
            "aW5lGh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnByb3RvItYBChBXaW5k",
            "VHVyYmluZVJvdG9yEhIKBXNwZWVkGAEgASgJSACIAQESFAoHY3VycmVudBgC",
            "IAEoCUgBiAEBEhQKB3ZvbHRhZ2UYAyABKAlIAogBARIbCg5hbmdsZV9wb3Np",
            "dGlvbhgEIAEoCUgDiAEBEhwKD2h1Yl90ZW1wZXJhdHVyZRgFIAEoCUgEiAEB",
            "QggKBl9zcGVlZEIKCghfY3VycmVudEIKCghfdm9sdGFnZUIRCg9fYW5nbGVf",
            "cG9zaXRpb25CEgoQX2h1Yl90ZW1wZXJhdHVyZUJ8Chtjb20uY29kaWJseS5t",
            "b2RlbC50ZWxlbWV0cnlCFVdpbmRUdXJiaW5lUm90b3JQcm90b8oCG0RvbWFp",
            "bk1vZGVsXFByb3RvXFRlbGVtZXRyeeICJ0RvbWFpbk1vZGVsXFByb3RvXFRl",
            "bGVtZXRyeVxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WindTurbine.WindTurbineRotor), global::WindTurbine.WindTurbineRotor.Parser, new[]{ "Speed", "Current", "Voltage", "AnglePosition", "HubTemperature" }, new[]{ "Speed", "Current", "Voltage", "AnglePosition", "HubTemperature" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WindTurbineRotor : pb::IMessage<WindTurbineRotor>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WindTurbineRotor> _parser = new pb::MessageParser<WindTurbineRotor>(() => new WindTurbineRotor());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WindTurbineRotor> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WindTurbine.WindTurbineRotorReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineRotor() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineRotor(WindTurbineRotor other) : this() {
      speed_ = other.speed_;
      current_ = other.current_;
      voltage_ = other.voltage_;
      anglePosition_ = other.anglePosition_;
      hubTemperature_ = other.hubTemperature_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineRotor Clone() {
      return new WindTurbineRotor(this);
    }

    /// <summary>Field number for the "speed" field.</summary>
    public const int SpeedFieldNumber = 1;
    private string speed_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Speed {
      get { return speed_ ?? ""; }
      set {
        speed_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "speed" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSpeed {
      get { return speed_ != null; }
    }
    /// <summary>Clears the value of the "speed" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSpeed() {
      speed_ = null;
    }

    /// <summary>Field number for the "current" field.</summary>
    public const int CurrentFieldNumber = 2;
    private string current_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Current {
      get { return current_ ?? ""; }
      set {
        current_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCurrent {
      get { return current_ != null; }
    }
    /// <summary>Clears the value of the "current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCurrent() {
      current_ = null;
    }

    /// <summary>Field number for the "voltage" field.</summary>
    public const int VoltageFieldNumber = 3;
    private string voltage_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Voltage {
      get { return voltage_ ?? ""; }
      set {
        voltage_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "voltage" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVoltage {
      get { return voltage_ != null; }
    }
    /// <summary>Clears the value of the "voltage" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVoltage() {
      voltage_ = null;
    }

    /// <summary>Field number for the "angle_position" field.</summary>
    public const int AnglePositionFieldNumber = 4;
    private string anglePosition_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string AnglePosition {
      get { return anglePosition_ ?? ""; }
      set {
        anglePosition_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "angle_position" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasAnglePosition {
      get { return anglePosition_ != null; }
    }
    /// <summary>Clears the value of the "angle_position" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearAnglePosition() {
      anglePosition_ = null;
    }

    /// <summary>Field number for the "hub_temperature" field.</summary>
    public const int HubTemperatureFieldNumber = 5;
    private string hubTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string HubTemperature {
      get { return hubTemperature_ ?? ""; }
      set {
        hubTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "hub_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasHubTemperature {
      get { return hubTemperature_ != null; }
    }
    /// <summary>Clears the value of the "hub_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearHubTemperature() {
      hubTemperature_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WindTurbineRotor);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WindTurbineRotor other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Speed != other.Speed) return false;
      if (Current != other.Current) return false;
      if (Voltage != other.Voltage) return false;
      if (AnglePosition != other.AnglePosition) return false;
      if (HubTemperature != other.HubTemperature) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasSpeed) hash ^= Speed.GetHashCode();
      if (HasCurrent) hash ^= Current.GetHashCode();
      if (HasVoltage) hash ^= Voltage.GetHashCode();
      if (HasAnglePosition) hash ^= AnglePosition.GetHashCode();
      if (HasHubTemperature) hash ^= HubTemperature.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasSpeed) {
        output.WriteRawTag(10);
        output.WriteString(Speed);
      }
      if (HasCurrent) {
        output.WriteRawTag(18);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(26);
        output.WriteString(Voltage);
      }
      if (HasAnglePosition) {
        output.WriteRawTag(34);
        output.WriteString(AnglePosition);
      }
      if (HasHubTemperature) {
        output.WriteRawTag(42);
        output.WriteString(HubTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasSpeed) {
        output.WriteRawTag(10);
        output.WriteString(Speed);
      }
      if (HasCurrent) {
        output.WriteRawTag(18);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(26);
        output.WriteString(Voltage);
      }
      if (HasAnglePosition) {
        output.WriteRawTag(34);
        output.WriteString(AnglePosition);
      }
      if (HasHubTemperature) {
        output.WriteRawTag(42);
        output.WriteString(HubTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasSpeed) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Speed);
      }
      if (HasCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Current);
      }
      if (HasVoltage) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Voltage);
      }
      if (HasAnglePosition) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(AnglePosition);
      }
      if (HasHubTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(HubTemperature);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WindTurbineRotor other) {
      if (other == null) {
        return;
      }
      if (other.HasSpeed) {
        Speed = other.Speed;
      }
      if (other.HasCurrent) {
        Current = other.Current;
      }
      if (other.HasVoltage) {
        Voltage = other.Voltage;
      }
      if (other.HasAnglePosition) {
        AnglePosition = other.AnglePosition;
      }
      if (other.HasHubTemperature) {
        HubTemperature = other.HubTemperature;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Speed = input.ReadString();
            break;
          }
          case 18: {
            Current = input.ReadString();
            break;
          }
          case 26: {
            Voltage = input.ReadString();
            break;
          }
          case 34: {
            AnglePosition = input.ReadString();
            break;
          }
          case 42: {
            HubTemperature = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Speed = input.ReadString();
            break;
          }
          case 18: {
            Current = input.ReadString();
            break;
          }
          case 26: {
            Voltage = input.ReadString();
            break;
          }
          case 34: {
            AnglePosition = input.ReadString();
            break;
          }
          case 42: {
            HubTemperature = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
